Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jetty.websocket
Class WebSocketGeneratorD00

    java.lang.Object
      org.eclipse.jetty.websocket.WebSocketGeneratorD00

All Implemented Interfaces:
  WebSocketGenerator

    public class WebSocketGeneratorD00

extends java.lang.Object
implements WebSocketGenerator

WebSocketGenerator. This class generates websocket packets. It is fully synchronized because it is likely that async threads will call the addMessage methods while other threads are flushing the generator.

Constructor Summary
`WebSocketGeneratorD00(WebSocketBuffers buffers, EndPoint endp)`

Method Summary
`void` | `addFragment(boolean more, byte opcode, byte[] content, int offset, int length, int maxIdleTime)`
`void` | `addFrame(byte opcode, byte[] content, int offset, int length, int blockFor)`
`void` | `addFrame(byte frame, java.lang.String content, int blockFor)`
`int` | `flush()`
`int` | `flush(int blockFor)`
`boolean` | `isBufferEmpty()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WebSocketGeneratorD00

    public WebSocketGeneratorD00(WebSocketBuffers buffers,
                                 EndPoint endp)

Method Detail

### addFrame

    public void addFrame(byte opcode,
                         byte[] content,
                         int offset,
                         int length,
                         int blockFor)
                  throws java.io.IOException

  Specified by:
    `addFrame` in interface `WebSocketGenerator`
  Throws:
    `java.io.IOException`

### addFrame

    public void addFrame(byte frame,
                         java.lang.String content,
                         int blockFor)
                  throws java.io.IOException

  Specified by:
    `addFrame` in interface `WebSocketGenerator`
  Throws:
    `java.io.IOException`

### flush

    public int flush(int blockFor)
              throws java.io.IOException

  Specified by:
    `flush` in interface `WebSocketGenerator`
  Throws:
    `java.io.IOException`

### flush

    public int flush()
              throws java.io.IOException

  Specified by:
    `flush` in interface `WebSocketGenerator`
  Throws:
    `java.io.IOException`

### isBufferEmpty

    public boolean isBufferEmpty()

  Specified by:
    `isBufferEmpty` in interface `WebSocketGenerator`

### addFragment

    public void addFragment(boolean more,
                            byte opcode,
                            byte[] content,
                            int offset,
                            int length,
                            int maxIdleTime)
                     throws java.io.IOException

  Specified by:
    `addFragment` in interface `WebSocketGenerator`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.